AdminBenchmarksBenchmarkidRuns

Прогоны конкретного бенча (курсорная пагинация, CreatedAt DESC).

GET
/Admin/benchmarks/{benchmarkId}/runs
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Path Parameters

benchmarkId*string
Formatuuid

Query Parameters

cursor?string
limit?integer
Default20
Formatint32

Response Body

application/json

curl -X GET "https://api.speaknode.com/api/Admin/benchmarks/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "benchmark_id": "f1254acf-0c77-40a6-91d2-a34bd4970fd9",
      "benchmark_title": "string",
      "model_type_code": "string",
      "status": "Initial",
      "trigger": "Scheduled",
      "triggered_by_user_id": "6b6a84b3-6fe8-41b4-838a-daa23e33b05f",
      "error_message": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "recorded_at": "2019-08-24T14:15:22Z",
      "total_duration_ms": 0,
      "item_count": 0,
      "initial_count": 0,
      "running_count": 0,
      "completed_count": 0,
      "failed_count": 0,
      "stopped_count": 0
    }
  ],
  "next_cursor": "string"
}